{
  "openapi": "3.1.0",
  "info": {
    "title": "PredictLeads API Reference",
    "version": "4-beta",
    "description": "# Introduction\n\nOur API is RESTful and follows the <a target=\"_blank\" rel=\"noopener\" href=\"https://jsonapi.org/\">JSON API specification</a>.\n<br><br>\nFor easier implementation, we provide API description also in\n<a target=\"open_api_schema\" href=\"https://docs.predictleads.com/v4/schemas/open_api_schema.json\">OpenAPI schema (version 3.1.0)</a> JSON format\nand <a target=\"https://docs.predictleads.com/v4/swagger\" href=\"https://docs.predictleads.com/v4/swagger\">OpenAPI SwaggerUI playground</a>.\n<br><br>\nIn order to use our API, you must first <a target=\"_blank\" rel=\"noopener\" href=\"https://predictleads.com/sign_up\">sign up</a>\nto get an authentication key and token.\n<br><br>\nYou can see <a target=\"_blank\" rel=\"noopener\" href=\"https://status.predictleads.com\">live status of our API services</a>.\n\n## Authentication\n\nThe API supports two authentication methods. Your API key and token are available on the\n<a target=\"_blank\" rel=\"noopener\" href=\"https://predictleads.com/subscriptions\">Your Subscription Plans</a> page.\n\n### With OAuth2\n\nPredictLeads supports two OAuth2 flows.\n<br>\n<br>\n- **Authorization Code**\n  <br>\n  For OAuth2 clients, supporting <a target=\"_blank\" rel=\"noopener\" href=\"https://oauth.net/2/dynamic-client-registration/\">Dynamic Client Registration</a> for automatic setup.\n  <br>\n  <br>\n- **Client Credentials**\n  <br>\n  For OAuth2 server-to-server integrations, use the following settings:\n  <br>\n  <br>\n  `Access Token URL`: `https://oauth.predictleads.com/token`\n  <br>\n  `Client ID`: `{your_api_key}`\n  <br>\n  `Client Secret`: `{your_api_token}`\n\n### With HTTP headers\n\nFor direct access, pass your credentials as request headers:\n<br>\n<br>\n`X-Api-Key`: `{your_api_key}`\n<br>\n`X-Api-Token`: `{your_api_token}`\n\n\n## Request Limits\n\nEach account using the API has request limits implemented.\nThe amount of requests one can do each month is limited by the chosen plan. You can track your monthly usage on\n<a target=\"_blank\" rel=\"noopener\" href=\"https://predictleads.com/subscriptions\">Your Subscription Plans</a> page.\n<br><br>\nResponses carry an `X-Credits-Used` header, and MCP tool results include a `credits_used` field, with the credits\nthat request used. Requests rejected before reaching your account (401, 403 and 429) do not include it.\n<br><br>\nOnce the account reaches the limit, all further requests will produce a 402 HTTP error, notifying the user of\nthe reached limit. If you have any further questions regarding the limits, feel free to contact us via\n<a href=\"#contact\">support</a>.\n\n\n## Pagination\n\nResponses with a list of objects are paginated. Use `page` parameter to get more results.\nTotal number of all possible results is displayed inside `meta` property as `count`.\n"
  },
  "servers": [
    {
      "url": "https://predictleads.com/api/v4",
      "description": "Primary API server"
    }
  ],
  "paths": {
    "/companies/{id_or_domain}": {
      "get": {
        "tags": [
          "Companies Dataset"
        ],
        "summary": "Get Company",
        "description": "Returns Company.",
        "parameters": [
          {
            "name": "id_or_domain",
            "in": "path",
            "description": "Company's ID or domain.\n",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Request was successfully processed.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CompaniesDataset"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request body or parameters.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/BadRequestError"
                }
              }
            }
          },
          "401": {
            "description": "Authentication credentials are invalid or API subscription is not activated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/UnauthorizedError"
                }
              }
            }
          },
          "402": {
            "description": "Exceeded the monthly request limit.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/PaymentRequiredError"
                }
              }
            }
          },
          "403": {
            "description": "Request rate over limit.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/ForbiddenError"
                }
              }
            }
          },
          "404": {
            "description": "Record not found.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/NotFoundError"
                }
              }
            }
          },
          "422": {
            "description": "Provided data failed to validate.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/UnprocessableContentError"
                }
              }
            }
          },
          "429": {
            "description": "Too many requests.",
            "headers": {
              "Retry-After": {
                "description": "Indicates how long to wait before making a new request (in seconds).",
                "schema": {
                  "type": "integer"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/TooManyRequestsError"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/InternalServerError"
                }
              }
            }
          },
          "503": {
            "description": "Service temporarily unavailable.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/ServiceUnavailableError"
                }
              }
            }
          }
        },
        "operationId": "get_api_v4_company",
        "x-credits-usage": {
          "credits_used_per_unit": 1,
          "unit": "response"
        }
      }
    },
    "/extended_companies/{id_or_domain}": {
      "get": {
        "tags": [
          "Extended Companies Dataset"
        ],
        "summary": "Get Extended Company",
        "description": "Returns Extended Company.",
        "parameters": [
          {
            "name": "id_or_domain",
            "in": "path",
            "description": "ExtendedCompany's ID or domain.\n",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Request was successfully processed.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ExtendedCompaniesDataset"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request body or parameters.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/BadRequestError"
                }
              }
            }
          },
          "401": {
            "description": "Authentication credentials are invalid or API subscription is not activated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/UnauthorizedError"
                }
              }
            }
          },
          "402": {
            "description": "Exceeded the monthly request limit.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/PaymentRequiredError"
                }
              }
            }
          },
          "403": {
            "description": "Request rate over limit.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/ForbiddenError"
                }
              }
            }
          },
          "404": {
            "description": "Record not found.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/NotFoundError"
                }
              }
            }
          },
          "422": {
            "description": "Provided data failed to validate.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/UnprocessableContentError"
                }
              }
            }
          },
          "429": {
            "description": "Too many requests.",
            "headers": {
              "Retry-After": {
                "description": "Indicates how long to wait before making a new request (in seconds).",
                "schema": {
                  "type": "integer"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/TooManyRequestsError"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/InternalServerError"
                }
              }
            }
          },
          "503": {
            "description": "Service temporarily unavailable.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/ServiceUnavailableError"
                }
              }
            }
          }
        },
        "operationId": "get_api_v4_extended_company",
        "x-credits-usage": {
          "credits_used_per_unit": 2,
          "unit": "response"
        }
      }
    },
    "/companies/{company_id_or_domain}/company_signals": {
      "get": {
        "tags": [
          "Company Signals Dataset"
        ],
        "summary": "Get Company Signals",
        "description": "Returns a list of a company's Company Signals.",
        "parameters": [
          {
            "name": "company_id_or_domain",
            "in": "path",
            "description": "Company's ID or domain.\n",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "first_seen_at_from",
            "in": "query",
            "description": "Only return `CompanySignals` first seen after\ngiven date (ISO 8601).\n",
            "required": false,
            "schema": {
              "type": "string",
              "format": "date",
              "example": "2024-09-25"
            }
          },
          {
            "name": "first_seen_at_until",
            "in": "query",
            "description": "Only return `CompanySignals` first seen before\ngiven date (ISO 8601).\n",
            "required": false,
            "schema": {
              "type": "string",
              "format": "date",
              "example": "2024-09-25"
            }
          },
          {
            "name": "categories",
            "in": "query",
            "description": "One or more valid categories.\n\n",
            "required": false,
            "example": "corporate_development,funding,financials",
            "schema": {
              "type": "array",
              "items": {
                "type": "string",
                "oneOf": [
                  {
                    "const": "corporate_development"
                  },
                  {
                    "const": "funding"
                  },
                  {
                    "const": "financials"
                  },
                  {
                    "const": "people"
                  },
                  {
                    "const": "location_and_facilities"
                  },
                  {
                    "const": "strategy"
                  },
                  {
                    "const": "product"
                  },
                  {
                    "const": "tech_stack"
                  },
                  {
                    "const": "market_relationships"
                  },
                  {
                    "const": "recognition"
                  },
                  {
                    "const": "legal_and_risk"
                  },
                  {
                    "const": "other"
                  }
                ]
              },
              "example": [
                "corporate_development",
                "funding",
                "financials"
              ]
            },
            "style": "form",
            "explode": false
          },
          {
            "name": "page",
            "in": "query",
            "description": "Page number of shown items.\n<br>\n**NOTE**: If the parameter is not provided, the meta property `count` will be omitted from response for\nperformance reasons.\n",
            "required": false,
            "schema": {
              "type": "integer",
              "default": 1,
              "minimum": 1
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Limit the number of shown items per page.",
            "required": false,
            "schema": {
              "type": "integer",
              "default": 100,
              "maximum": 1000
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Request was successfully processed.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CompanySignalsDataset"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request body or parameters.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/BadRequestError"
                }
              }
            }
          },
          "401": {
            "description": "Authentication credentials are invalid or API subscription is not activated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/UnauthorizedError"
                }
              }
            }
          },
          "402": {
            "description": "Exceeded the monthly request limit.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/PaymentRequiredError"
                }
              }
            }
          },
          "403": {
            "description": "Request rate over limit.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/ForbiddenError"
                }
              }
            }
          },
          "404": {
            "description": "Record not found.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/NotFoundError"
                }
              }
            }
          },
          "422": {
            "description": "Provided data failed to validate.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/UnprocessableContentError"
                }
              }
            }
          },
          "429": {
            "description": "Too many requests.",
            "headers": {
              "Retry-After": {
                "description": "Indicates how long to wait before making a new request (in seconds).",
                "schema": {
                  "type": "integer"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/TooManyRequestsError"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/InternalServerError"
                }
              }
            }
          },
          "503": {
            "description": "Service temporarily unavailable.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/ServiceUnavailableError"
                }
              }
            }
          }
        },
        "operationId": "get_api_v4_companies_company_signals",
        "x-credits-usage": {
          "credits_used_per_unit": 1,
          "unit": "response"
        }
      }
    },
    "/companies/{company_id_or_domain}/website_changes": {
      "get": {
        "tags": [
          "Website Changes Dataset"
        ],
        "summary": "Get Website Changes",
        "description": "Returns a list of changes detected on a company's website, including the markdown difference and AI-generated rationale for each change.",
        "parameters": [
          {
            "name": "company_id_or_domain",
            "in": "path",
            "description": "Company's ID or domain.\n",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "page",
            "in": "query",
            "description": "Page number of shown items.\n<br>\n**NOTE**: If the parameter is not provided, the meta property `count` will be omitted from response for\nperformance reasons.\n",
            "required": false,
            "schema": {
              "type": "integer",
              "default": 1,
              "minimum": 1
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Limit the number of shown items per page.",
            "required": false,
            "schema": {
              "type": "integer",
              "default": 50,
              "maximum": 100
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Request was successfully processed.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/WebsiteChangesDataset"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request body or parameters.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/BadRequestError"
                }
              }
            }
          },
          "401": {
            "description": "Authentication credentials are invalid or API subscription is not activated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/UnauthorizedError"
                }
              }
            }
          },
          "402": {
            "description": "Exceeded the monthly request limit.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/PaymentRequiredError"
                }
              }
            }
          },
          "403": {
            "description": "Request rate over limit.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/ForbiddenError"
                }
              }
            }
          },
          "404": {
            "description": "Record not found.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/NotFoundError"
                }
              }
            }
          },
          "422": {
            "description": "Provided data failed to validate.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/UnprocessableContentError"
                }
              }
            }
          },
          "429": {
            "description": "Too many requests.",
            "headers": {
              "Retry-After": {
                "description": "Indicates how long to wait before making a new request (in seconds).",
                "schema": {
                  "type": "integer"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/TooManyRequestsError"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/InternalServerError"
                }
              }
            }
          },
          "503": {
            "description": "Service temporarily unavailable.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/ServiceUnavailableError"
                }
              }
            }
          }
        },
        "operationId": "get_api_v4_companies_website_changes",
        "x-credits-usage": {
          "credits_used_per_unit": 1,
          "unit": "record"
        }
      }
    },
    "/discover/website_changes": {
      "get": {
        "tags": [
          "Website Changes Dataset"
        ],
        "summary": "Discover Website Changes",
        "description": "Returns a list of website changes from all companies, newest first. A change is returned only if one of its events matches all filters.",
        "parameters": [
          {
            "name": "first_seen_at_from",
            "in": "query",
            "description": "Only return `WebsiteChanges` first seen after\ngiven date (ISO 8601).\n",
            "required": false,
            "schema": {
              "type": "string",
              "format": "date",
              "example": "2024-09-25"
            }
          },
          {
            "name": "first_seen_at_until",
            "in": "query",
            "description": "Only return `WebsiteChanges` first seen before\ngiven date (ISO 8601).\n",
            "required": false,
            "schema": {
              "type": "string",
              "format": "date",
              "example": "2024-09-25"
            }
          },
          {
            "name": "categories",
            "in": "query",
            "description": "One or more valid categories.\n\n",
            "required": false,
            "example": "strategic_pivot,audience_change,product_launch",
            "schema": {
              "type": "array",
              "items": {
                "type": "string",
                "oneOf": [
                  {
                    "const": "strategic_pivot"
                  },
                  {
                    "const": "audience_change"
                  },
                  {
                    "const": "product_launch"
                  },
                  {
                    "const": "pricing_restructure"
                  },
                  {
                    "const": "leadership_change"
                  },
                  {
                    "const": "acquisition"
                  },
                  {
                    "const": "merger"
                  },
                  {
                    "const": "spin_off"
                  },
                  {
                    "const": "asset_sale"
                  },
                  {
                    "const": "financing_event"
                  },
                  {
                    "const": "public_listing"
                  },
                  {
                    "const": "exchange_delisting"
                  },
                  {
                    "const": "partnership"
                  },
                  {
                    "const": "integration"
                  },
                  {
                    "const": "investor_identified"
                  },
                  {
                    "const": "customer_identified"
                  },
                  {
                    "const": "new_office"
                  },
                  {
                    "const": "market_entry"
                  },
                  {
                    "const": "operational_restructuring"
                  },
                  {
                    "const": "recognition"
                  },
                  {
                    "const": "attends_event"
                  },
                  {
                    "const": "winding_down"
                  },
                  {
                    "const": "other"
                  }
                ]
              },
              "example": [
                "strategic_pivot",
                "audience_change",
                "product_launch"
              ]
            },
            "style": "form",
            "explode": false
          },
          {
            "name": "importance_from",
            "in": "query",
            "description": "Only return website changes with an event of this importance or higher.\n",
            "required": false,
            "schema": {
              "type": "integer",
              "minimum": 1,
              "maximum": 10,
              "example": 8
            }
          },
          {
            "name": "importance_to",
            "in": "query",
            "description": "Only return website changes with an event of this importance or lower.\n",
            "required": false,
            "schema": {
              "type": "integer",
              "minimum": 1,
              "maximum": 10,
              "example": 10
            }
          },
          {
            "name": "page",
            "in": "query",
            "description": "Page number of shown items.\n<br>\n**NOTE**: If the parameter is not provided, the meta property `count` will be omitted from response for\nperformance reasons.\n",
            "required": false,
            "schema": {
              "type": "integer",
              "default": 1,
              "minimum": 1
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Limit the number of shown items per page.",
            "required": false,
            "schema": {
              "type": "integer",
              "default": 10,
              "maximum": 100
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Request was successfully processed.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/WebsiteChangesDataset"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request body or parameters.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/BadRequestError"
                }
              }
            }
          },
          "401": {
            "description": "Authentication credentials are invalid or API subscription is not activated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/UnauthorizedError"
                }
              }
            }
          },
          "402": {
            "description": "Exceeded the monthly request limit.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/PaymentRequiredError"
                }
              }
            }
          },
          "403": {
            "description": "Request rate over limit.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/ForbiddenError"
                }
              }
            }
          },
          "404": {
            "description": "Record not found.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/NotFoundError"
                }
              }
            }
          },
          "422": {
            "description": "Provided data failed to validate.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/UnprocessableContentError"
                }
              }
            }
          },
          "429": {
            "description": "Too many requests.",
            "headers": {
              "Retry-After": {
                "description": "Indicates how long to wait before making a new request (in seconds).",
                "schema": {
                  "type": "integer"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/TooManyRequestsError"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/InternalServerError"
                }
              }
            }
          },
          "503": {
            "description": "Service temporarily unavailable.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/ServiceUnavailableError"
                }
              }
            }
          }
        },
        "operationId": "get_api_v4_discover_website_changes",
        "x-credits-usage": {
          "credits_used_per_unit": 1,
          "unit": "record"
        }
      }
    },
    "/companies/{company_id_or_domain}/subpages": {
      "get": {
        "tags": [
          "Subpages Dataset"
        ],
        "summary": "Get Subpages",
        "description": "Returns a list of a company's Subpages.",
        "parameters": [
          {
            "name": "company_id_or_domain",
            "in": "path",
            "description": "Company's ID or domain.\n",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "first_seen_at_from",
            "in": "query",
            "description": "Only return `Subpages` first seen after\ngiven date (ISO 8601).\n",
            "required": false,
            "schema": {
              "type": "string",
              "format": "date",
              "example": "2024-09-25"
            }
          },
          {
            "name": "first_seen_at_until",
            "in": "query",
            "description": "Only return `Subpages` first seen before\ngiven date (ISO 8601).\n",
            "required": false,
            "schema": {
              "type": "string",
              "format": "date",
              "example": "2024-09-25"
            }
          },
          {
            "name": "categories",
            "in": "query",
            "description": "One or more valid categories.\n\n",
            "required": false,
            "example": "blog,news,press",
            "schema": {
              "type": "array",
              "items": {
                "type": "string",
                "enum": [
                  "blog",
                  "news",
                  "press",
                  "about",
                  "leadership",
                  "jobs",
                  "facebook",
                  "twitter",
                  "linkedin",
                  "instagram",
                  "pinterest",
                  "contact",
                  "playstore",
                  "appstore",
                  "news_outlet",
                  "customers",
                  "partners",
                  "integrations",
                  "case_studies",
                  "portfolio",
                  "suppliers",
                  "testimonials",
                  "login",
                  "support",
                  "pricing",
                  "job_board",
                  "main",
                  "github",
                  "investors",
                  "products",
                  "solutions",
                  "status",
                  "demo",
                  "resources",
                  "events",
                  "developers",
                  "api",
                  "terms",
                  "privacy",
                  "trust",
                  "feedback",
                  "marketplace",
                  "store",
                  "community",
                  "retail",
                  "sitemap",
                  "webinars",
                  "search",
                  "social_media",
                  "updates",
                  "registration",
                  "locations",
                  "external_review",
                  "discord",
                  "youtube",
                  "tiktok",
                  "sec",
                  "review",
                  "subprocessors",
                  "changelog"
                ]
              },
              "example": [
                "blog",
                "news",
                "press"
              ]
            },
            "style": "form",
            "explode": false
          },
          {
            "name": "page",
            "in": "query",
            "description": "Page number of shown items.\n<br>\n**NOTE**: If the parameter is not provided, the meta property `count` will be omitted from response for\nperformance reasons.\n",
            "required": false,
            "schema": {
              "type": "integer",
              "default": 1,
              "minimum": 1
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Limit the number of shown items per page.",
            "required": false,
            "schema": {
              "type": "integer",
              "default": 100,
              "maximum": 1000
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Request was successfully processed.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SubpagesDataset"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request body or parameters.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/BadRequestError"
                }
              }
            }
          },
          "401": {
            "description": "Authentication credentials are invalid or API subscription is not activated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/UnauthorizedError"
                }
              }
            }
          },
          "402": {
            "description": "Exceeded the monthly request limit.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/PaymentRequiredError"
                }
              }
            }
          },
          "403": {
            "description": "Request rate over limit.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/ForbiddenError"
                }
              }
            }
          },
          "404": {
            "description": "Record not found.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/NotFoundError"
                }
              }
            }
          },
          "422": {
            "description": "Provided data failed to validate.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/UnprocessableContentError"
                }
              }
            }
          },
          "429": {
            "description": "Too many requests.",
            "headers": {
              "Retry-After": {
                "description": "Indicates how long to wait before making a new request (in seconds).",
                "schema": {
                  "type": "integer"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/TooManyRequestsError"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/InternalServerError"
                }
              }
            }
          },
          "503": {
            "description": "Service temporarily unavailable.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/ServiceUnavailableError"
                }
              }
            }
          }
        },
        "operationId": "get_api_v4_companies_subpages",
        "x-credits-usage": {
          "credits_used_per_unit": 1,
          "unit": "response"
        }
      }
    },
    "/companies/{company_id_or_domain}/sec_financials": {
      "get": {
        "tags": [
          "SEC Financials Dataset"
        ],
        "summary": "Get SEC Financials",
        "description": "Returns a list of a company's periodic SEC filings with the income statement each one reports.",
        "operationId": "get_api_v4_companies_sec_financials",
        "parameters": [
          {
            "name": "company_id_or_domain",
            "in": "path",
            "description": "Company's ID or domain.\n",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "page",
            "in": "query",
            "description": "Page number of shown items.\n<br>\n**NOTE**: If the parameter is not provided, the meta property `count` will be omitted from response for\nperformance reasons.\n",
            "required": false,
            "schema": {
              "type": "integer",
              "default": 1,
              "minimum": 1
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Limit the number of shown items per page.",
            "required": false,
            "schema": {
              "type": "integer",
              "default": 10,
              "maximum": 50
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Request was successfully processed.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SECFinancialsDataset"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request body or parameters.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/BadRequestError"
                }
              }
            }
          },
          "401": {
            "description": "Authentication credentials are invalid or API subscription is not activated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/UnauthorizedError"
                }
              }
            }
          },
          "402": {
            "description": "Exceeded the monthly request limit.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/PaymentRequiredError"
                }
              }
            }
          },
          "403": {
            "description": "Request rate over limit.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/ForbiddenError"
                }
              }
            }
          },
          "404": {
            "description": "Record not found.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/NotFoundError"
                }
              }
            }
          },
          "422": {
            "description": "Provided data failed to validate.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/UnprocessableContentError"
                }
              }
            }
          },
          "429": {
            "description": "Too many requests.",
            "headers": {
              "Retry-After": {
                "description": "Indicates how long to wait before making a new request (in seconds).",
                "schema": {
                  "type": "integer"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/TooManyRequestsError"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/InternalServerError"
                }
              }
            }
          },
          "503": {
            "description": "Service temporarily unavailable.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/ServiceUnavailableError"
                }
              }
            }
          }
        },
        "x-credits-usage": {
          "credits_used_per_unit": 1,
          "unit": "response"
        }
      }
    },
    "/api_request_logs": {
      "get": {
        "tags": [
          "Api Request Logs"
        ],
        "summary": "Get API request logs",
        "description": "Returns a paginated list of API request log entries for the current subscription.",
        "parameters": [
          {
            "name": "requested_at_from",
            "in": "query",
            "description": "Only return `ApiRequestLogs` requested after\nthe given date (ISO 8601).\n",
            "required": false,
            "schema": {
              "type": "string",
              "format": "date",
              "example": "2024-09-25"
            }
          },
          {
            "name": "requested_at_until",
            "in": "query",
            "description": "Only return `ApiRequestLogs` requested before\nthe given date (ISO 8601).\n",
            "required": false,
            "schema": {
              "type": "string",
              "format": "date",
              "example": "2024-09-25"
            }
          },
          {
            "name": "page",
            "in": "query",
            "description": "Page number of shown items.\n<br>\n**NOTE**: If the parameter is not provided, the meta property `count` will be omitted from response for\nperformance reasons.\n",
            "required": false,
            "schema": {
              "type": "integer",
              "default": 1,
              "minimum": 1
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Limit the number of shown items per page.",
            "required": false,
            "schema": {
              "type": "integer",
              "default": 100,
              "maximum": 1000
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Request was successfully processed.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiRequestLogs"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request body or parameters.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/BadRequestError"
                }
              }
            }
          },
          "401": {
            "description": "Authentication credentials are invalid or API subscription is not activated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/UnauthorizedError"
                }
              }
            }
          },
          "402": {
            "description": "Exceeded the monthly request limit.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/PaymentRequiredError"
                }
              }
            }
          },
          "403": {
            "description": "Request rate over limit.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/ForbiddenError"
                }
              }
            }
          },
          "404": {
            "description": "Record not found.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/NotFoundError"
                }
              }
            }
          },
          "422": {
            "description": "Provided data failed to validate.",
            "headers": {
              "X-Credits-Used": {
                "$ref": "#/components/headers/Headers.CreditsUsedHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/UnprocessableContentError"
                }
              }
            }
          },
          "429": {
            "description": "Too many requests.",
            "headers": {
              "Retry-After": {
                "description": "Indicates how long to wait before making a new request (in seconds).",
                "schema": {
                  "type": "integer"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/TooManyRequestsError"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/InternalServerError"
                }
              }
            }
          },
          "503": {
            "description": "Service temporarily unavailable.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/x-errorSchemas/ServiceUnavailableError"
                }
              }
            }
          }
        },
        "operationId": "get_api_v4_api_request_logs",
        "x-credits-usage": {
          "credits_used_per_unit": 0,
          "unit": "response"
        }
      }
    }
  },
  "webhooks": {
    "CompanySignalsDataset": {
      "post": {
        "tags": [
          "Company Signals Dataset"
        ],
        "summary": "Receive followed company's Company Signals",
        "description": "Sends a list containing a single followed company's Company Signal.\n<br>\n<br>\n**Triggered when**:\n<br>\n- Found\n",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CompanySignalsDataset"
              },
              "examples": {
                "general": {
                  "value": {
                    "data": [
                      {
                        "id": "019ff376-0929-770a-bef2-fdc11f58d6d0",
                        "type": "company_signal",
                        "sources": [
                          "job_openings"
                        ],
                        "category": "people",
                        "subcategory": "department_hiring_surge",
                        "headline": "Hiring surge in Operations",
                        "summary": "Hiring surge in Operations, with 11 new openings in the last 30 days against a usual 1.56 a month.",
                        "evidence": "11 new openings in the last 30 days vs 1.6 monthly average.",
                        "details": {
                          "type": "department_hiring_surge_details",
                          "openings": 11,
                          "department": "Operations",
                          "monthly_average": 1.56
                        },
                        "importance": "high",
                        "sentiment": "positive",
                        "detected_at": "2026-08-12T00:53:46Z",
                        "first_seen_at": null,
                        "company": {
                          "id": "016325d2-479a-79ba-8bc1-5b45b812daab",
                          "type": "company",
                          "domain": "mercor.com",
                          "name": "Mercor",
                          "ticker": null
                        },
                        "detected_on_job_openings": [],
                        "detected_on_sec_filings": []
                      }
                    ],
                    "meta": {
                      "schema_version": "4.2",
                      "record_state": "active"
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Return a 200 status to indicate that the data was received successfully."
          }
        }
      }
    },
    "CompanySignalsDeletedDataset": {
      "post": {
        "tags": [
          "Company Signals Deleted Dataset"
        ],
        "summary": "Receive followed company's deleted Company Signals",
        "description": "Sends a list containing a single followed company's deleted Company Signal.\n<br>\n<br>\n**Triggered when**:\n<br>\n- Disapproved\n",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CompanySignalsDeletedDataset"
              },
              "examples": {
                "general": {
                  "value": {
                    "data": [
                      {
                        "id": "01a1b222-8f32-7094-b425-b9776092ce17",
                        "type": "company_signal"
                      }
                    ],
                    "meta": {
                      "schema_version": "4.0",
                      "record_state": "deleted"
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Return a 200 status to indicate that the data was received successfully."
          }
        }
      }
    }
  },
  "components": {
    "responses": {
      "200": {
        "description": "Request was successfully processed.",
        "headers": {
          "X-Credits-Used": {
            "$ref": "#/components/headers/Headers.CreditsUsedHeader"
          }
        }
      },
      "400": {
        "description": "Invalid request body or parameters.",
        "headers": {
          "X-Credits-Used": {
            "$ref": "#/components/headers/Headers.CreditsUsedHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/x-errorSchemas/BadRequestError"
            }
          }
        }
      },
      "401": {
        "description": "Authentication credentials are invalid or API subscription is not activated.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/x-errorSchemas/UnauthorizedError"
            }
          }
        }
      },
      "402": {
        "description": "Exceeded the monthly request limit.",
        "headers": {
          "X-Credits-Used": {
            "$ref": "#/components/headers/Headers.CreditsUsedHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/x-errorSchemas/PaymentRequiredError"
            }
          }
        }
      },
      "403": {
        "description": "Request rate over limit.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/x-errorSchemas/ForbiddenError"
            }
          }
        }
      },
      "404": {
        "description": "Record not found.",
        "headers": {
          "X-Credits-Used": {
            "$ref": "#/components/headers/Headers.CreditsUsedHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/x-errorSchemas/NotFoundError"
            }
          }
        }
      },
      "422": {
        "description": "Provided data failed to validate.",
        "headers": {
          "X-Credits-Used": {
            "$ref": "#/components/headers/Headers.CreditsUsedHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/x-errorSchemas/UnprocessableContentError"
            }
          }
        }
      },
      "429": {
        "description": "Too many requests.",
        "headers": {
          "Retry-After": {
            "description": "Indicates how long to wait before making a new request (in seconds).",
            "schema": {
              "type": "integer"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/x-errorSchemas/TooManyRequestsError"
            }
          }
        }
      },
      "500": {
        "description": "Internal server error.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/x-errorSchemas/InternalServerError"
            }
          }
        }
      },
      "503": {
        "description": "Service temporarily unavailable.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/x-errorSchemas/ServiceUnavailableError"
            }
          }
        }
      }
    },
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      },
      "api_token": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-TOKEN"
      },
      "basic": {
        "type": "http",
        "scheme": "basic"
      }
    },
    "headers": {
      "Headers.CreditsUsedHeader": {
        "description": "The credits this request was charged.",
        "schema": {
          "type": "integer"
        }
      }
    },
    "x-errorSchemas": {
      "BadRequestError": {
        "description": "Bad request.",
        "type": "object",
        "required": [
          "error"
        ],
        "properties": {
          "error": {
            "type": "object",
            "required": [
              "type",
              "message"
            ],
            "properties": {
              "type": {
                "description": "Type of the `BadRequestError` object.",
                "const": "bad_request"
              },
              "message": {
                "description": "Error message.",
                "type": "string"
              }
            }
          }
        },
        "additionalProperties": false,
        "example": {
          "error": {
            "type": "bad_request",
            "message": "..."
          }
        }
      },
      "UnauthorizedError": {
        "description": "Unauthorized.",
        "type": "object",
        "required": [
          "error"
        ],
        "properties": {
          "error": {
            "type": "object",
            "required": [
              "type",
              "message"
            ],
            "properties": {
              "type": {
                "description": "Type of the `UnauthorizedError` object.",
                "const": "unauthorized"
              },
              "message": {
                "description": "Error message.",
                "type": "string",
                "const": "Authentication failed"
              }
            }
          }
        },
        "additionalProperties": false,
        "example": {
          "error": {
            "type": "unauthorized",
            "message": "..."
          }
        }
      },
      "PaymentRequiredError": {
        "description": "Payment required.",
        "type": "object",
        "required": [
          "error"
        ],
        "properties": {
          "error": {
            "type": "object",
            "required": [
              "type",
              "message"
            ],
            "properties": {
              "type": {
                "description": "Type of the `PaymentRequiredError` object.",
                "const": "payment_required"
              },
              "message": {
                "description": "Error message.",
                "type": "string"
              }
            }
          }
        },
        "additionalProperties": false,
        "example": {
          "error": {
            "type": "payment_required",
            "message": "You have exceeded the monthly request limit. To minimize your service disruption, you might want to consider upgrading your current API Subscription Plan."
          }
        }
      },
      "ForbiddenError": {
        "description": "Forbidden.",
        "type": "object",
        "required": [
          "error"
        ],
        "properties": {
          "error": {
            "type": "object",
            "required": [
              "type",
              "message"
            ],
            "properties": {
              "type": {
                "description": "Type of the `ForbiddenError` object.",
                "const": "forbidden"
              },
              "message": {
                "description": "Error message.",
                "type": "string"
              }
            }
          }
        },
        "additionalProperties": false,
        "example": {
          "error": {
            "type": "forbidden",
            "message": "..."
          }
        }
      },
      "NotFoundError": {
        "description": "Not found.",
        "type": "object",
        "required": [
          "error"
        ],
        "properties": {
          "error": {
            "type": "object",
            "required": [
              "type",
              "message"
            ],
            "properties": {
              "type": {
                "description": "Type of the `NotFoundError` object.",
                "const": "not_found"
              },
              "message": {
                "description": "Error message.",
                "type": "string"
              }
            }
          }
        },
        "additionalProperties": false,
        "example": {
          "error": {
            "type": "not_found",
            "message": "..."
          }
        }
      },
      "UnprocessableContentError": {
        "description": "Unprocessable content.",
        "type": "object",
        "required": [
          "error"
        ],
        "properties": {
          "error": {
            "type": "object",
            "required": [
              "type",
              "message"
            ],
            "properties": {
              "type": {
                "description": "Type of the `UnprocessableContentError` object.",
                "const": "unprocessable_content"
              },
              "message": {
                "description": "Error message.",
                "type": "string"
              }
            }
          }
        },
        "additionalProperties": false,
        "example": {
          "error": {
            "type": "unprocessable_content",
            "message": "..."
          }
        }
      },
      "TooManyRequestsError": {
        "description": "Too many requests.",
        "type": "object",
        "required": [
          "error"
        ],
        "properties": {
          "error": {
            "type": "object",
            "required": [
              "type",
              "message"
            ],
            "properties": {
              "type": {
                "description": "Type of the `TooManyRequestsError` object.",
                "const": "too_many_requests"
              },
              "message": {
                "description": "Error message.",
                "type": "string"
              }
            }
          }
        },
        "additionalProperties": false,
        "example": {
          "error": {
            "type": "too_many_requests",
            "message": "Too many requests in a short time period. Please try again later."
          }
        }
      },
      "InternalServerError": {
        "description": "Internal server error.",
        "type": "object",
        "required": [
          "error"
        ],
        "properties": {
          "error": {
            "type": "object",
            "required": [
              "type",
              "message"
            ],
            "properties": {
              "type": {
                "description": "Type of the `InternalServerError` object.",
                "const": "internal_server_error"
              },
              "message": {
                "description": "Error message.",
                "type": "string"
              }
            }
          }
        },
        "additionalProperties": false,
        "example": {
          "error": {
            "type": "internal_server_error",
            "message": "..."
          }
        }
      },
      "ServiceUnavailableError": {
        "description": "Service unavailable.",
        "type": "object",
        "required": [
          "error"
        ],
        "properties": {
          "error": {
            "type": "object",
            "required": [
              "type",
              "message"
            ],
            "properties": {
              "type": {
                "description": "Type of the `ServiceUnavailableError` object.",
                "const": "service_unavailable"
              },
              "message": {
                "description": "Error message.",
                "type": "string"
              }
            }
          }
        },
        "additionalProperties": false,
        "example": {
          "error": {
            "type": "service_unavailable",
            "message": "..."
          }
        }
      }
    },
    "schemas": {
      "CompaniesDataset": {
        "$schema": "https://json-schema.org/draft/2020-12/schema",
        "title": "CompaniesDataset",
        "summary": "Information about companies.\n",
        "description": "Companies Dataset includes data such as Company Name, Meta Title, Meta Description,\nStructured Location Data, Ticker, Parent Company, Language and other basic company information.\n",
        "type": "object",
        "required": [
          "data"
        ],
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/x-subSchemas/Company"
            }
          },
          "meta": {
            "description": "Meta information about `CompaniesDataset` object.\n",
            "type": "object",
            "required": [
              "schema_version",
              "record_state"
            ],
            "properties": {
              "schema_version": {
                "title": "Meta.SchemaVersion",
                "description": "Represents schema version of objects.\n",
                "type": "string"
              },
              "record_state": {
                "title": "Meta.RecordState",
                "description": "Represents record state of objects.\n",
                "type": "string",
                "const": "active"
              },
              "count": {
                "description": "Total number of results.\n<br>\n**NOTE**: Only included in API responses when the request parameter `page` is provided,\nfor performance reasons.\n",
                "type": "integer",
                "example": 344
              }
            }
          }
        },
        "example": {
          "data": [
            {
              "id": "0160c0f9-78d8-7274-9faa-a37a5d7f1ab6",
              "type": "company",
              "domain": "brex.com",
              "name": "Brex Inc.",
              "friendly_name": "Brex",
              "ticker": null,
              "meta_title": "Brex: The Modern Finance Software Platform | Spend Smarter",
              "meta_description": "Simplify expense management with Brex's finance platform. From company cards to banking, Brex helps you drive growth, automate processes, & earn more.",
              "description": "Brex provides a finance platform that includes corporate charge cards, cash management accounts, and tools for expense and travel management. The organization serves founders and finance teams, specifically targeting technology companies. Operating globally across many countries, the organization focuses on automating accounting processes and managing business spending through integrated banking and credit services.",
              "description_short": "Brex is a business financial services provider that serves founders and finance teams.",
              "language": "en",
              "location": "2261 Market Street, San Francisco, CA 94114, United States",
              "location_data": [
                {
                  "id": "01a1369f-e0b2-7425-9f8b-6d9cc200dba6",
                  "type": "company_location_data",
                  "location": "2261 Market Street, San Francisco, CA 94114, United States",
                  "zip_code": "94114",
                  "street_address": "2261 Market Street",
                  "city": "San Francisco",
                  "county": "San Francisco County",
                  "admin_area": "California",
                  "state": "California",
                  "country": "United States",
                  "continent": "North America",
                  "latitude": 37.764685,
                  "longitude": -122.43194,
                  "fuzzy_match": false,
                  "category": "headquarters"
                },
                {
                  "id": "01a1369f-e0b2-760c-adec-7c95d8e27f1e",
                  "type": "company_location_data",
                  "location": "50 W Broadway, Salt Lake City, UT 84101, United States",
                  "zip_code": "84119",
                  "street_address": null,
                  "city": "Salt Lake City",
                  "county": "Salt Lake County",
                  "admin_area": "Utah",
                  "state": "Utah",
                  "country": "United States",
                  "continent": "North America",
                  "latitude": 40.773201,
                  "longitude": -111.933984,
                  "fuzzy_match": true,
                  "category": "headquarters"
                },
                {
                  "id": "01a1369f-e0b2-78dd-a946-ce2364bb27e8",
                  "type": "company_location_data",
                  "location": "650 S 500 W, Salt Lake City, UT 84101-2380, United States",
                  "zip_code": "84101",
                  "street_address": "650 South 500 West",
                  "city": "Salt Lake City",
                  "county": "Salt Lake County",
                  "admin_area": "Utah",
                  "state": "Utah",
                  "country": "United States",
                  "continent": "North America",
                  "latitude": 40.755136,
                  "longitude": -111.905691,
                  "fuzzy_match": false,
                  "category": "headquarters"
                },
                {
                  "id": "01a1369f-e0b2-73de-b25c-ecdb1c53f68e",
                  "type": "company_location_data",
                  "location": "1 Commerce Way, Little Rock, Arkansas 72202, United States",
                  "zip_code": "72202",
                  "street_address": "1 Commerce Way",
                  "city": "Little Rock",
                  "county": "Pulaski County",
                  "admin_area": "Arkansas",
                  "state": "Arkansas",
                  "country": "United States",
                  "continent": "North America",
                  "latitude": 34.764932,
                  "longitude": -92.302579,
                  "fuzzy_match": false,
                  "category": "office"
                },
                {
                  "id": "01a1369f-e0b2-7093-99c2-dbb6c7dd96b6",
                  "type": "company_location_data",
                  "location": "Austin, Texas, United States",
                  "zip_code": "78701",
                  "street_address": null,
                  "city": "Austin",
                  "county": "Travis County",
                  "admin_area": "Texas",
                  "state": "Texas",
                  "country": "United States",
                  "continent": "North America",
                  "latitude": 30.222346,
                  "longitude": -97.836521,
                  "fuzzy_match": true,
                  "category": "office"
                },
                {
                  "id": "01a1369f-e0b2-7cbc-bc7d-ab5e685f560d",
                  "type": "company_location_data",
                  "location": "District of Columbia, United States",
                  "zip_code": null,
                  "street_address": null,
                  "city": null,
                  "county": null,
                  "admin_area": "District of Columbia",
                  "state": "District of Columbia",
                  "country": "United States",
                  "continent": "North America",
                  "latitude": 38.912097,
                  "longitude": -77.014683,
                  "fuzzy_match": true,
                  "category": "service_area"
                },
                {
                  "id": "01a1369f-e0b2-7565-8ab7-3084cfbebbd9",
                  "type": "company_location_data",
                  "location": "New York, United States",
                  "zip_code": "11238",
                  "street_address": null,
                  "city": "New York",
                  "county": "Kings County",
                  "admin_area": "New York",
                  "state": "New York",
                  "country": "United States",
                  "continent": "North America",
                  "latitude": 40.68295,
                  "longitude": -73.9708,
                  "fuzzy_match": false,
                  "category": "service_area"
                },
                {
                  "id": "01a1369f-e0b2-7a3f-832f-ace75d815801",
                  "type": "company_location_data",
                  "location": "2261 Market Street, San Francisco, CA 94114, United States",
                  "zip_code": "94114",
                  "street_address": "2261 Market Street",
                  "city": "San Francisco",
                  "county": "San Francisco County",
                  "admin_area": "California",
                  "state": "California",
                  "country": "United States",
                  "continent": "North America",
                  "latitude": 37.764685,
                  "longitude": -122.43194,
                  "fuzzy_match": false,
                  "category": "registered_address"
                },
                {
                  "id": "01a1369f-e0b2-7fd3-a049-c6b46116bcaf",
                  "type": "company_location_data",
                  "location": "650 S 500 W, Salt Lake City, UT 84101, United States",
                  "zip_code": "84101",
                  "street_address": "650 South 500 West",
                  "city": "Salt Lake City",
                  "county": "Salt Lake County",
                  "admin_area": "Utah",
                  "state": "Utah",
                  "country": "United States",
                  "continent": "North America",
                  "latitude": 40.755136,
                  "longitude": -111.905691,
                  "fuzzy_match": false,
                  "category": "registered_address"
                }
              ],
              "last_extraction_states": [
                {
                  "status": "live",
                  "status_code": 200,
                  "processed_at": "2026-08-14T20:29:21.268003+02:00"
                },
                {
                  "status": "live",
                  "status_code": 200,
                  "processed_at": "2026-08-22T02:21:08.710900+02:00"
                },
                {
                  "status": "live",
                  "status_code": 200,
                  "processed_at": "2026-09-01T02:39:38.301223+02:00"
                },
                {
                  "status": "live",
                  "status_code": 200,
                  "processed_at": "2026-09-11T03:07:01.653616+02:00"
                },
                {
                  "status": "live",
                  "status_code": 200,
                  "processed_at": "2026-10-09T12:40:12.884940+02:00"
                },
                {
                  "status": "live",
                  "status_code": 200,
                  "processed_at": "2026-10-25T23:48:53.904399+01:00"
                }
              ],
              "redirects_to_company": null,
              "redirects_to_company_reason": null,
              "parent_company": {
                "id": "015353a8-fd39-7e43-80fa-f874553b771a",
                "type": "company",
                "domain": "capitalone.com",
                "name": "Capital One Group",
                "ticker": "NYSE:COF-PN"
              },
              "subsidiary_companies": [
                {
                  "id": "017228dc-076b-7596-b07e-faefc8752ef8",
                  "type": "company",
                  "domain": "pry.co",
                  "name": "Pry Financials Inc.",
                  "ticker": null
                },
                {
                  "id": "01776f82-37b5-7adb-add2-7f810abe4689",
                  "type": "company",
                  "domain": "weav.co",
                  "name": "Weav Technologies, Inc.",
                  "ticker": null
                }
              ],
              "similar_companies": [
                {
                  "id": "014ef54b-b9bc-7859-bf70-fda144d0a69b",
                  "type": "company",
                  "domain": "ramp.com",
                  "name": "Ramp Corp.",
                  "ticker": null
                },
                {
                  "id": "0163f658-c47e-732b-a6fa-b8cb036cb5b3",
                  "type": "company",
                  "domain": "airbase.com",
                  "name": "Airbase Inc.",
                  "ticker": null
                },
                {
                  "id": "015353e7-03d5-7433-944a-c58b78378b79",
                  "type": "company",
                  "domain": "expensify.com",
                  "name": "Expensify, Inc.",
                  "ticker": "NASDAQ:EXFY"
                },
                {
                  "id": "01862da7-1a0e-7508-ad04-8edc8fee5e5e",
                  "type": "company",
                  "domain": "navan.com",
                  "name": "Navan, Inc.",
                  "ticker": "NASDAQ:NAVN"
                },
                {
                  "id": "016187f1-7688-7d3e-8e5c-86eebb5b0a37",
                  "type": "company",
                  "domain": "mercury.com",
                  "name": "Mercury Technologies, Inc.",
                  "ticker": null
                }
              ]
            }
          ],
          "meta": {
            "schema_version": "4.1",
            "record_state": "active"
          }
        }
      },
      "ExtendedCompaniesDataset": {
        "$schema": "https://json-schema.org/draft/2020-12/schema",
        "title": "ExtendedCompaniesDataset",
        "summary": "Extended information about companies.\n",
        "description": "The Extended Companies Dataset includes additional company data such as Company size range,\nCompany Logo, Company Slogan, Industry, Company Type and other company information.\n",
        "type": "object",
        "required": [
          "data"
        ],
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/x-subSchemas/ExtendedCompany"
            }
          },
          "meta": {
            "description": "Meta information about `ExtendedCompaniesDataset` object.\n",
            "type": "object",
            "required": [
              "schema_version",
              "record_state"
            ],
            "properties": {
              "schema_version": {
                "title": "Meta.SchemaVersion",
                "description": "Represents schema version of objects.\n",
                "type": "string"
              },
              "record_state": {
                "title": "Meta.RecordState",
                "description": "Represents record state of objects.\n",
                "type": "string",
                "const": "active"
              },
              "count": {
                "description": "Total number of results.\n<br>\n**NOTE**: Only included in API responses when the request parameter `page` is provided,\nfor performance reasons.\n",
                "type": "integer",
                "example": 344
              }
            }
          }
        },
        "example": {
          "data": [
            {
              "id": "0164245a-5850-76aa-ba63-f947a5904cbb",
              "type": "company",
              "domain": "meettippy.com",
              "name": "DirectTIPS Operations, LLC.",
              "friendly_name": "Tippy",
              "ticker": null,
              "meta_title": "Homepage - Tippy",
              "meta_description": "We are tipping experts with optimized solutions for Salons & Spas. Groomers. Fitness. Auto Shops. Your Business. Let us find the best tipping solution for you! Enter your email to get started! Yay Tippy! Winners for Best Work Spaces, Best of Fort Lauderdale 2022! Thank you Fort Lauderdale Magazine and",
              "description": "Tippy provides digital tipping solutions designed for service-based businesses, including salons, spas, grooming facilities, fitness centers, and auto shops. The organization facilitates the collection of gratuities and manages instant payouts to service professionals. To support these operations, the organization integrates with point-of-sale systems and provides standalone kiosks to handle the processing of tips.",
              "description_short": "Tippy provides digital tipping solutions for service-based businesses such as salons, spas, grooming facilities, fitness centers, and auto shops.",
              "language": "en",
              "location": "2755 E Oakland Park Blvd, Fort Lauderdale, Florida 33306, United States",
              "location_data": [
                {
                  "id": "01a0b033-9b07-76c1-9add-771c1429f0be",
                  "type": "company_location_data",
                  "location": "2755 E Oakland Park Blvd, Fort Lauderdale, Florida 33306, United States",
                  "zip_code": "33306",
                  "street_address": "2755 East Oakland Park Boulevard",
                  "city": "Fort Lauderdale",
                  "county": "Broward County",
                  "admin_area": "Florida",
                  "state": "Florida",
                  "country": "United States",
                  "continent": "North America",
                  "latitude": 26.16749,
                  "longitude": -80.11004,
                  "fuzzy_match": false,
                  "category": "headquarters"
                },
                {
                  "id": "01a0b033-9b07-7de9-b86c-11b73e76fc12",
                  "type": "company_location_data",
                  "location": "935 Berkshire Blvd, Reading, Pennsylvania 19610, United States",
                  "zip_code": "19606",
                  "street_address": null,
                  "city": "Reading",
                  "county": "Berks County",
                  "admin_area": "Pennsylvania",
                  "state": "Pennsylvania",
                  "country": "United States",
                  "continent": "North America",
                  "latitude": 40.346978,
                  "longitude": -75.924261,
                  "fuzzy_match": true,
                  "category": "unknown"
                }
              ],
              "last_extraction_states": [
                {
                  "status": "processing_error",
                  "status_code": null,
                  "processed_at": "2025-09-28T18:27:10.706385+02:00"
                },
                {
                  "status": "live",
                  "status_code": 200,
                  "processed_at": "2026-03-28T18:54:01.541244+01:00"
                },
                {
                  "status": "live",
                  "status_code": 200,
                  "processed_at": "2026-06-04T18:49:35.324089+02:00"
                },
                {
                  "status": "live",
                  "status_code": 200,
                  "processed_at": "2026-08-04T19:12:11.918288+02:00"
                },
                {
                  "status": "live",
                  "status_code": 200,
                  "processed_at": "2026-10-05T18:19:53.217516+02:00"
                },
                {
                  "status": "live",
                  "status_code": 200,
                  "processed_at": "2026-10-17T03:34:52.592070+02:00"
                }
              ],
              "redirects_to_company": null,
              "redirects_to_company_reason": null,
              "parent_company": null,
              "subsidiary_companies": [],
              "similar_companies": [
                {
                  "id": "015354f5-c0b5-7d77-b7a3-2d9159dcabd6",
                  "type": "company",
                  "domain": "toasttab.com",
                  "name": "Toast Tab, Inc.",
                  "ticker": "NYSE:TOST"
                },
                {
                  "id": "015354e1-3157-7e36-883d-c01e24d001a1",
                  "type": "company",
                  "domain": "squareup.com",
                  "name": "Square Inc.",
                  "ticker": "NYSE:SQ"
                },
                {
                  "id": "0154e099-edd4-7f6d-8309-19a6d70a1153",
                  "type": "company",
                  "domain": "vagaro.com",
                  "name": "Vagaro",
                  "ticker": null
                },
                {
                  "id": "016e3753-f830-758e-b9f4-6dc1608f6ac9",
                  "type": "company",
                  "domain": "joinblvd.com",
                  "name": "Boulevard Labs, Inc.",
                  "ticker": null
                },
                {
                  "id": "0160e4cb-854c-7da2-a745-e6b59e0ea29b",
                  "type": "company",
                  "domain": "glossgenius.com",
                  "name": "GlossGenius",
                  "ticker": null
                }
              ],
              "employees_min": 11,
              "employees_max": 50,
              "social_associated_members": 34,
              "social_logo": "https://media.licdn.com/dms/image/v2/C560BAQHr5TzG8l8HZg/company-logo_200_200/company-logo_200_200/0/1644532656596/directtips_logo?e=2147483647&v=beta&t=xOcm6avQ2hBFivlccvElWIOZFcYMXgp_XP7K-HpAKH8",
              "social_slogan": "Cashless Tipping Solutions For Any Business!",
              "social_description": "We are tipping experts with optimized solutions for any business. The best part? We deposit tips instantly. Some call it magic, we call it expertise.",
              "social_url": "https://www.linkedin.com/company/directtips",
              "social_industry": "Financial Services",
              "social_company_type": "Privately Held",
              "social_headquarters": "Fort Lauderdale, Florida",
              "social_founded": "2016",
              "social_funding_price": "US$ 690.8K",
              "social_funding_last_round_date": "2020-05-20",
              "social_funding_last_round_stage": "Seed",
              "social_crunchbase_url": "https://www.crunchbase.com/organization/directtips",
              "social_ticker": null,
              "social_specialties": [
                "technology",
                "software",
                "service industry",
                "Hospitality",
                "fintech",
                "tipping",
                "digital tipping",
                "cashless tipping",
                "Beauty Industry",
                "Restaurant tipping",
                "and Fitness Tipping"
              ],
              "social_company_id": 11544088,
              "social_stats": [
                {
                  "followers": 2224,
                  "updated_at": "2024-09-30",
                  "associated_members": 27,
                  "employees_min": 11,
                  "employees_max": 50
                },
                {
                  "followers": 2251,
                  "updated_at": "2025-01-31",
                  "associated_members": 27,
                  "employees_min": 11,
                  "employees_max": 50
                },
                {
                  "followers": 2250,
                  "updated_at": "2025-03-31",
                  "associated_members": 27,
                  "employees_min": 11,
                  "employees_max": 50
                },
                {
                  "followers": 2357,
                  "updated_at": "2025-07-31",
                  "associated_members": 31,
                  "employees_min": 11,
                  "employees_max": 50
                },
                {
                  "followers": 2351,
                  "updated_at": "2025-09-30",
                  "associated_members": 31,
                  "employees_min": 11,
                  "employees_max": 50
                },
                {
                  "followers": 2358,
                  "updated_at": "2025-12-31",
                  "associated_members": 32,
                  "employees_min": 11,
                  "employees_max": 50
                },
                {
                  "followers": 2370,
                  "updated_at": "2026-03-31",
                  "associated_members": 32,
                  "employees_min": 11,
                  "employees_max": 50
                },
                {
                  "followers": 2374,
                  "updated_at": "2026-05-31",
                  "associated_members": 34,
                  "employees_min": 11,
                  "employees_max": 50
                }
              ],
              "social_location_data": [
                {
                  "city": "Oakland Park",
                  "state": "Florida",
                  "country": "United States"
                },
                {
                  "city": "Reading",
                  "state": "Pennsylvania",
                  "country": "United States"
                }
              ],
              "naics6_codes": [
                "522320"
              ],
              "revenue_range": "From $10,000,000 to $49,999,999",
              "revenue_range_data": {
                "revenue_range_low": 10000000,
                "revenue_range_high": 49999999
              },
              "revenue_source": "company_size_based_estimate"
            }
          ],
          "meta": {
            "schema_version": "4.0",
            "record_state": "active"
          }
        }
      },
      "CompanySignalsDataset": {
        "$schema": "https://json-schema.org/draft/2020-12/schema",
        "title": "CompanySignalsDataset",
        "summary": "Signals about company activity derived from PredictLeads datasets.\n",
        "description": "PredictLeads Company Signals surface actionable intelligence about companies by\nanalysing patterns across all PredictLeads datasets.\n<br><br>\nEach signal captures a concrete, time-stamped event, such as a hiring surge in a\nspecific job category or a strategic insight extracted from job descriptions, along\nwith a human-readable headline, an importance score, and the evidence behind the\ndetection.\n",
        "type": "object",
        "required": [
          "data"
        ],
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/x-subSchemas/CompanySignal"
            }
          },
          "meta": {
            "description": "Meta information about `CompanySignalsDataset` object.\n",
            "type": "object",
            "required": [
              "schema_version",
              "record_state"
            ],
            "properties": {
              "schema_version": {
                "title": "Meta.SchemaVersion",
                "description": "Represents schema version of objects.\n",
                "type": "string"
              },
              "record_state": {
                "title": "Meta.RecordState",
                "description": "Represents record state of objects.\n",
                "type": "string",
                "const": "active"
              },
              "count": {
                "description": "Total number of results.\n<br>\n**NOTE**: Only included in API responses when the request parameter `page` is provided,\nfor performance reasons.\n",
                "type": "integer",
                "example": 344
              }
            }
          }
        },
[...]
